FreeBSD : krb5 -- client impersonation vulnerability (4ccbd40d-03f7-11e0-bf50-001a926c7637)

Low Nessus Plugin ID 51103


The remote FreeBSD host is missing a security-related update.


The MIT Kerberos team reports :

MIT krb5 KDC may issue tickets not requested by a client, based on an attacker-chosen KrbFastArmoredReq.

An authenticated remote attacker that controls a legitimate service principal could obtain a valid service ticket to itself containing valid KDC-generated authorization data for a client whose TGS-REQ it has intercepted. The attacker could then use this ticket for S4U2Proxy to impersonate the targeted client even if the client never authenticated to the subverted service. The vulnerable configuration is believed to be rare.


Update the affected package.

See Also

Plugin Details

Severity: Low

ID: 51103

File Name: freebsd_pkg_4ccbd40d03f711e0bf50001a926c7637.nasl

Version: $Revision: 1.9 $

Type: local

Published: 2010/12/10

Modified: 2013/06/21

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 2.1

Temporal Score: 1.6

Vector: CVSS2#AV:N/AC:H/Au:S/C:N/I:P/A:N

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:krb5, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/12/09

Vulnerability Publication Date: 2010/11/30

Reference Information

CVE: CVE-2010-4021

BID: 45122

OSVDB: 69607